Bug 103353 - Installation fails to start X when monitor ID contains Double Quote (")
Installation fails to start X when monitor ID contains Double Quote (")
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-29 02:58 EDT by Need Real Name
Modified: 2007-04-18 12:57 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-24 14:58:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2003-08-29 02:58:44 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98)

Description of problem:
The installer uses the ID of the monitor (in my case 17" COLOR) and
places it in the XF86Config file under the section "Monitor" value "Identifier" 
as shown below...

Section "Monitor"
    Identifier  "17" COLOR"
    ...

This breaks the rest of the config file and prevents X from starting up, 
Anaconda does not recover from this. I can manually edit the file to remove the 
double quote (") and it works fine. ie..

    Identifier  "17 COLOR"



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Get a monitor that has a double quote in the identifier
2. Install RH 9.0
3.
    

Actual Results:  Drops back to text screen repeatedly, eventually gives text 
logon prompt.

Expected Results:  Install completed without intervention so as not to upset 
the new user.

Additional info:
Comment 1 Michael Fulbright 2003-09-02 15:05:28 EDT
Could you give me the entire model information on this monitor?  I do not see it
in our monitor database.

Thanks.
Comment 2 Need Real Name 2003-09-04 05:02:54 EDT
Sorry, I need to make a correction as I was working from memory,
please substitute "Identifier" with "ModelName" in my bug report.

The monitor in question is an "Optima CM712" this I believe is a rebadged
Sampo KM712/CM712 Manufactured: 4/99 Manufacturer Code: SPT

The lines in my XG86Config file read...

Identifier "Monitor0"
VendorName "Monitor Vendor"
ModelName "17" COLOR"  (Before manual correction)

Thanks.

Comment 3 Michael Fulbright 2003-09-04 12:03:17 EDT
Thanks!
Comment 4 Michael Fulbright 2003-09-04 12:18:13 EDT
Fixed.
Comment 5 Need Real Name 2003-09-04 19:45:15 EDT
Many Thanks!
Comment 6 Jason Tibbitts 2003-09-19 12:01:42 EDT
Is there a simple way to make use of this fix for an existing installation?  I
just bought a pallet of cheap 17" LCD monitors from Daewoo (model F207) which
identify themselves as:
17" LCD

I can of course do things in text mode, but the helpers are all trained to use
the graphical installer so if there's a quick fix I'd like to use it.
Comment 7 Jeremy Katz 2006-04-24 14:58:33 EDT
Mass-closing lots of old bugs which are in MODIFIED (and thus presumed to be
fixed).  If any of these are still a problem, please reopen or file a new bug
against the release which they're occurring in so they can be properly tracked.

Note You need to log in before you can comment on or make changes to this bug.